import 'dart:io';

import 'package:flutter/material.dart';
import 'package:badges/badges.dart' as badges;

class DGIconButton extends StatelessWidget {
  final IconData icon;
  final String? badageLabel;
  final bool enabledBadage;
  final Color? badageColor;
  final Color? badageLabelColor;
  final double iconSize;
  final Color? iconColor;
  final Color? backgroundColor;
  final double backgroundRadius;
  const DGIconButton(
      {required this.icon,
      required this.iconSize,
      this.iconColor,
      this.badageColor,
      this.badageLabel,
      this.badageLabelColor,
      this.enabledBadage = false,
      this.backgroundColor,
      this.backgroundRadius = 0,
      super.key});

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(
          color: backgroundColor,
          borderRadius: BorderRadius.circular(backgroundRadius)),
      padding: const EdgeInsets.all(5),
      child: badges.Badge(
        badgeStyle: badges.BadgeStyle(badgeColor: badageColor ?? Colors.blue),
        //  position: badges.BadgePosition.topEnd(top: -10, end: -12),
        showBadge: enabledBadage,
        badgeContent: Text(
          badageLabel ?? '0',
          style: TextStyle(
              color: badageColor ?? Colors.white,
              fontSize: Platform.isAndroid && Platform.isIOS ? 10 : 8),
        ),
        child: Icon(icon, size: iconSize, color: iconColor),
      ),
    );
  }
}
